Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.algorithms.cluster
Class EdgeClusterSet

    java.lang.Object
      edu.uci.ics.jung.algorithms.cluster.ClusterSet
          edu.uci.ics.jung.algorithms.cluster.EdgeClusterSet

public class EdgeClusterSet
extends ClusterSet

A ClusterSet where each cluster is a set of edge

Author:
  Scott White

Constructor Summary
`EdgeClusterSet(Graph underlyingGraph)` Constructs and initializes the set

Method Summary
`ClusterSet` | `createEquivalentClusterSet(Graph anotherGraph)` Creates a new cluster set where each edge and cluster in the new cluster set correspond 1-to-1 with those in the original graph
`Graph` | `getClusterAsNewSubGraph(int index)` Constructs a new graph from the given cluster

Methods inherited from class edu.uci.ics.jung.algorithms.cluster.ClusterSet
`addCluster, checkLegality, getCluster, getClusters, getUnderlyingGraph, iterator, size, sort`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeClusterSet

    public EdgeClusterSet(Graph underlyingGraph)

  Constructs and initializes the set

Parameters:
  `underlyingGraph` -

Method Detail

### getClusterAsNewSubGraph

    public Graph getClusterAsNewSubGraph(int index)

  Constructs a new graph from the given cluster

  Specified by:
    `getClusterAsNewSubGraph` in class `ClusterSet`
  Parameters:
    `index` - the position index of the cluster in the collection
  Returns:
    a new graph representing the cluster

### createEquivalentClusterSet

    public ClusterSet createEquivalentClusterSet(Graph anotherGraph)

  Creates a new cluster set where each edge and cluster in the new cluster set correspond 1-to-1 with those in the original graph

  Specified by:
    `createEquivalentClusterSet` in class `ClusterSet`
  Parameters:
    `anotherGraph` - a new graph whose edges are equivalent to those in the original graph
  Returns:
    a new cluster set for the specified graph

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD